package cn.com.countrygarden.bi.main.dao;

import cn.com.countrygarden.bi.main.core.Mapper;
import cn.com.countrygarden.bi.main.model.MarketingContract;

import java.util.List;
import java.util.Map;

public interface MarketingContractMapper extends Mapper<MarketingContract> {
    MarketingContract findByUk(Map<String, Object> param);

    List<MarketingContract> ranking(Map<String, Object> param);
    List<MarketingContract> rankingByOrgan(Map<String, Object> param);
    List<MarketingContract> tendency(Map<String, Object> param);
    MarketingContract sum(Map<String, Object> param);
    MarketingContract findLastContract();

    List<MarketingContract> sumBy(Map<String, Object> param);
    List<MarketingContract> listProjectByOrgan(Map<String, Object> param);

    List<MarketingContract> search(Map<String, Object> param);
    MarketingContract findById(int id);
    boolean softDelete(Map<String, Object> param);
}